/*
 * Portions of this file Copyright 1999-2005 University of Chicago
 * Portions of this file Copyright 1999-2005 The University of Southern California.
 *
 * This file or a portion of this file is licensed under the
 * terms of the Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without
 * modifications, you must include this notice in the file.
 */


#ifndef _GLOBUS_SOAP_MESSAGE_MARKERS_H_
#define _GLOBUS_SOAP_MESSAGE_MARKERS_H_

#define GLOBUS_SOAP_MESSAGE_MARKER_HEADER             "HEADER"
#define GLOBUS_SOAP_MESSAGE_MARKER_HEADER_CONTENT     "HEADER_CONTENT"
#define GLOBUS_SOAP_MESSAGE_MARKER_HEADER_CONTENT_END "HEADER_CONTENT_END"
#define GLOBUS_SOAP_MESSAGE_MARKER_HEADER_END         "HEADER_END"
#define GLOBUS_SOAP_MESSAGE_MARKER_HEADER_ATTRIBUTES  "HEADER_ATTRIBUTES"
#define GLOBUS_SOAP_MESSAGE_MARKER_BODY               "BODY"
#define GLOBUS_SOAP_MESSAGE_MARKER_BODY_CONTENT       "BODY_CONTENT"
#define GLOBUS_SOAP_MESSAGE_MARKER_BODY_CONTENT_END   "BODY_CONTENT_END"
#define GLOBUS_SOAP_MESSAGE_MARKER_BODY_END           "BODY_END"
#define GLOBUS_SOAP_MESSAGE_MARKER_BODY_ATTRIBUTES    "BODY_ATTRIBUTES"
#define GLOBUS_SOAP_MESSAGE_MARKER_ENVELOPE           "ENVELOPE"
#define GLOBUS_SOAP_MESSAGE_MARKER_ENVELOPE_END       "ENVELOPE_END"

#endif
