/*
 * Portions of this file Copyright 1999-2005 University of Chicago
 * Portions of this file Copyright 1999-2005 The University of Southern California.
 *
 * This file or a portion of this file is licensed under the
 * terms of the Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without
 * modifications, you must include this notice in the file.
 */


#ifndef _GLOBUS_XML_BUFFER_H_
#define _GLOBUS_XML_BUFFER_H_

#include "globus_common.h"

EXTERN_C_BEGIN

#include "globus_xsd_primitives.h"
#include "globus_soap_message_handle.h"

typedef struct globus_xml_buffer_s
{
    char *                              buffer;
    int                                 length;
} globus_xml_buffer;

GLOBUS_XSD_DECLARE_TYPE_FUNCTIONS(globus_xml_buffer);

EXTERN_C_END

#endif
