/*
 * Portions of this file Copyright 1999-2005 University of Chicago
 * Portions of this file Copyright 1999-2005 The University of Southern California.
 *
 * This file or a portion of this file is licensed under the
 * terms of the Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without
 * modifications, you must include this notice in the file.
 */

#ifndef _XSD_ANY_H_
#define _XSD_ANY_H_

#include "globus_common.h"

EXTERN_C_BEGIN

#include "xsd_QName.h"
#include "globus_xsd_type_registry.h"
#include "globus_xsd_type_info.h"

typedef struct xsd_any_s 
{
    globus_xsd_type_registry_t          registry;
    globus_xsd_type_info_t              any_info;
    xsd_QName *                         element;
    void *                              value;
} xsd_any;

GLOBUS_XSD_DECLARE_TYPE_FUNCTIONS(xsd_any);

EXTERN_C_END

#endif /* _XSD_ANY_H_ */
