/*
 * Portions of this file Copyright 1999-2005 University of Chicago
 * Portions of this file Copyright 1999-2005 The University of Southern California.
 *
 * This file or a portion of this file is licensed under the
 * terms of the Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without
 * modifications, you must include this notice in the file.
 */

#ifndef _XSD_ANYURI_H_
#define _XSD_ANYURI_H_

#include "globus_common.h"

EXTERN_C_BEGIN

typedef char *                          xsd_anyURI;

#include "globus_xsd_primitives.h"
#include "globus_soap_message_handle.h"

GLOBUS_XSD_DECLARE_TYPE_FUNCTIONS(xsd_anyURI);
GLOBUS_XSD_DECLARE_ATTR_FUNCTIONS(xsd_anyURI);
GLOBUS_XSD_DECLARE_LIST_FUNCTIONS(xsd_anyURI);
GLOBUS_XSD_DECLARE_LIST_ATTR_FUNCTIONS(xsd_anyURI);

#define xsd_anyURI_init_cstr(a, b) xsd_string_init_cstr((a), (b))
#define xsd_anyURI_init_contents_cstr(a, b) \
    xsd_string_init_contents_cstr((a), (b))
#define xsd_anyURI_copy_cstr(a, b) xsd_string_copy_cstr((a), (b))
#define xsd_anyURI_copy_contents_cstr(a, b) \
    xsd_string_copy_contents_cstr((a), (b))

EXTERN_C_END

#endif /* _XSD_ANYURI_H_ */
