/*
 * Portions of this file Copyright 1999-2005 University of Chicago
 * Portions of this file Copyright 1999-2005 The University of Southern California.
 *
 * This file or a portion of this file is licensed under the
 * terms of the Globus Toolkit Public License, found at
 * http://www.globus.org/toolkit/download/license.html.
 * If you redistribute this file, with or without
 * modifications, you must include this notice in the file.
 */

#ifndef _XSD_INTEGER_H_
#define _XSD_INTEGER_H_

#include "globus_common.h"
#include "openssl/bn.h"

EXTERN_C_BEGIN

/* this gets represented as a BIGINT - an openssl type */
typedef BIGNUM *                        xsd_integer;

#include "xsd_QName.h"
#include "globus_xsd_primitives.h"

GLOBUS_XSD_DECLARE_TYPE_FUNCTIONS(xsd_integer);
GLOBUS_XSD_DECLARE_ATTR_FUNCTIONS(xsd_integer);

EXTERN_C_END

#endif /* _XSD_INTEGER_H_ */
